<template>
  <v-card class="rounded-xl">
    <v-card-title class="justify-center labelStyle mx-12 pt-6">
      Horas semanales promedio de servicio por motivo de consulta
    </v-card-title>
    <v-row>
      <v-col>
        <stacked-bar
          title="Horas semanales promedio de servicio por motivo de consulta"
          title-y="Horas semanales promedio"
          title-x="Meses"
          :series="seriesLine"
          :categories="categories"
          :height="400"
          :width="1000"
        />
      </v-col>
    </v-row>
  </v-card>
</template>
<script>

import StackedBar from '~/components/Dashboard/StackedBar';
export default {
  name: 'MeanHoursChart',
  components: { StackedBar },
  data() {
    return {
      seriesLine: [
        {
          name: 'Estrés',
          data: [20, 35, 10, 15, 25, 20],
        },
        {
          name: 'Fallecimiento',
          data: [5, 10, 20, 30, 15, 20],
        },
        {
          name: 'Familiar',
          data: [10, 12, 8, 7, 10, 12],
        },
        {
          name: 'Pareja',
          data: [9, 6, 3, 5, 2, 9],
        },
        {
          name: 'Ansiedad',
          data: [5, 10, 11, 8, 15, 8],
        },
      ],
      categories: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun'],
    };
  },
};
</script>

<style scoped>
.labelStyle{
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  color: #505050;
  font-weight: 700;
  text-align: center;
}
</style>
